﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Services.Authentication.DataAccess;
using AM = HeuristicLab.Services.Authentication.AdminMethods.AdminMethods;


namespace HeuristicLab.Services.Authentication.AdminMethods {
  class Program {
    static void Main(string[] args) {

      //using (ClientManagmentDataContext dc = new ClientManagmentDataContext()) {
      //  if (dc.DatabaseExists()) {
      //    Console.WriteLine("DB exsits");
      //    dc.DeleteDatabase();
      //    Console.WriteLine("DB deleted");
      //  }
      //  Console.WriteLine("DB create");
      //  dc.CreateDatabase();
      //  Console.WriteLine("Finished");
      //}

      // delete
      Console.WriteLine(AM.DeleteResource("client_3"));
      Console.WriteLine(AM.DeleteResource("group_3"));
      Console.WriteLine(AM.DeleteResource("client_4"));
      Console.WriteLine(AM.DeleteResource("group_4"));

      bool res;

      // insert
      res = AM.InsertClient("client_3", "desc", "Client", "pt", 4, 4, "192.168.1.2", 2000, "WinXP");
      Console.WriteLine("client inserted: {0} ", res);
      res = AM.InsertGroup("group_3", "desc", "ResourceGroup");
      Console.WriteLine("group inserted: {0}", res);

      //insert and update
      res = AM.InsertClient("client_4", "desc", "Client", "pt", 4, 4, "192.168.1.2", 2000, "WinXP");
      Console.WriteLine("client inserted: {0} ", res);
      res = AM.InsertGroup("group_4", "desc", "ResourceGroup");
      Console.WriteLine("group inserted: {0}", res);
      Console.WriteLine("updated: " + AM.UpdateClient("client_4", "desc_new2", "xxxx", "ptnew", 4, 4, "192.168.1.7", 3000, "WinXP"));

      Console.ReadLine();
    }
  }
}